Index: src/southbridge/via/vt8237r/Makefile.inc
===================================================================
--- src/southbridge/via/vt8237r/Makefile.inc	(Revision 5880)
+++ src/southbridge/via/vt8237r/Makefile.inc	(Arbeitskopie)
@@ -24,4 +24,4 @@
 driver-y += vt8237r_sata.o
 driver-y += vt8237r_usb.o
 driver-y += vt8237r_nic.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += vt8237_fadt.o
+ramstage-$(CONFIG_GENERATE_ACPI_TABLES) += vt8237_fadt.o
Index: src/southbridge/amd/cs5535/Makefile.inc
===================================================================
--- src/southbridge/amd/cs5535/Makefile.inc	(Revision 5880)
+++ src/southbridge/amd/cs5535/Makefile.inc	(Arbeitskopie)
@@ -1,4 +1,4 @@
 driver-y += cs5535.o
 #driver-y += cs5535_pci.o
 #driver-y += cs5535_ide.o
-obj-y += chipsetinit.o
+ramstage-y += chipsetinit.o
Index: src/southbridge/amd/sb600/Makefile.inc
===================================================================
--- src/southbridge/amd/sb600/Makefile.inc	(Revision 5880)
+++ src/southbridge/amd/sb600/Makefile.inc	(Arbeitskopie)
@@ -7,4 +7,4 @@
 driver-y += sb600_hda.o
 driver-y += sb600_ac97.o
 driver-y += sb600_pci.o
-obj-y += sb600_reset.o
+ramstage-y += sb600_reset.o
Index: src/southbridge/amd/sb700/Makefile.inc
===================================================================
--- src/southbridge/amd/sb700/Makefile.inc	(Revision 5880)
+++ src/southbridge/amd/sb700/Makefile.inc	(Arbeitskopie)
@@ -6,4 +6,4 @@
 driver-y += sb700_sata.o
 driver-y += sb700_hda.o
 driver-y += sb700_pci.o
-obj-y += sb700_reset.o
+ramstage-y += sb700_reset.o
Index: src/southbridge/amd/amd8111/Makefile.inc
===================================================================
--- src/southbridge/amd/amd8111/Makefile.inc	(Revision 5880)
+++ src/southbridge/amd/amd8111/Makefile.inc	(Arbeitskopie)
@@ -8,4 +8,4 @@
 driver-y += amd8111_nic.o
 driver-y += amd8111_pci.o
 driver-y += amd8111_smbus.o
-obj-y += amd8111_reset.o
+ramstage-y += amd8111_reset.o
Index: src/southbridge/broadcom/bcm5785/Makefile.inc
===================================================================
--- src/southbridge/broadcom/bcm5785/Makefile.inc	(Revision 5880)
+++ src/southbridge/broadcom/bcm5785/Makefile.inc	(Arbeitskopie)
@@ -4,4 +4,4 @@
 driver-y += bcm5785_sb_pci_main.o
 driver-y += bcm5785_ide.o
 driver-y += bcm5785_sata.o
-obj-y += bcm5785_reset.o
+ramstage-y += bcm5785_reset.o
Index: src/southbridge/nvidia/ck804/Makefile.inc
===================================================================
--- src/southbridge/nvidia/ck804/Makefile.inc	(Revision 5880)
+++ src/southbridge/nvidia/ck804/Makefile.inc	(Arbeitskopie)
@@ -11,9 +11,9 @@
 driver-y += ck804_pcie.o
 driver-y += ck804_ht.o
 
-obj-y += ck804_reset.o
+ramstage-y += ck804_reset.o
 
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += ck804_fadt.o
+ramstage-$(CONFIG_GENERATE_ACPI_TABLES) += ck804_fadt.o
 
 chipset_bootblock_inc += $(src)/southbridge/nvidia/ck804/romstrap.inc
 chipset_bootblock_lds += $(src)/southbridge/nvidia/ck804/romstrap.lds
Index: src/southbridge/nvidia/mcp55/Makefile.inc
===================================================================
--- src/southbridge/nvidia/mcp55/Makefile.inc	(Revision 5880)
+++ src/southbridge/nvidia/mcp55/Makefile.inc	(Arbeitskopie)
@@ -13,7 +13,7 @@
 
 driver-$(CONFIG_GENERATE_ACPI_TABLES) += mcp55_fadt.o
 
-obj-y += mcp55_reset.o
+ramstage-y += mcp55_reset.o
 
 chipset_bootblock_inc += $(src)/southbridge/nvidia/mcp55/romstrap.inc
 chipset_bootblock_lds += $(src)/southbridge/nvidia/mcp55/romstrap.lds
Index: src/southbridge/intel/i82371eb/Makefile.inc
===================================================================
--- src/southbridge/intel/i82371eb/Makefile.inc	(Revision 5880)
+++ src/southbridge/intel/i82371eb/Makefile.inc	(Arbeitskopie)
@@ -25,4 +25,4 @@
 driver-y +=  i82371eb_smbus.o
 driver-y +=  i82371eb_reset.o
 
-#initobj-y += i82371eb_early_rom.o
+#romstage-y += i82371eb_early_rom.o
Index: src/southbridge/intel/i82801ax/Makefile.inc
===================================================================
--- src/southbridge/intel/i82801ax/Makefile.inc	(Revision 5880)
+++ src/southbridge/intel/i82801ax/Makefile.inc	(Arbeitskopie)
@@ -26,8 +26,8 @@
 # driver-y += i82801ax_smbus.o
 driver-y += i82801ax_usb.o
 
-obj-y += i82801ax_reset.o
-obj-y += i82801ax_watchdog.o
+ramstage-y += i82801ax_reset.o
+ramstage-y += i82801ax_watchdog.o
 
 # TODO: Fix and enable i82801ax_smbus.o later.
 
Index: src/southbridge/intel/i82801bx/Makefile.inc
===================================================================
--- src/southbridge/intel/i82801bx/Makefile.inc	(Revision 5880)
+++ src/southbridge/intel/i82801bx/Makefile.inc	(Arbeitskopie)
@@ -29,8 +29,8 @@
 driver-y += i82801bx_usb.o
 driver-y += i82801bx_usb_ehci.o
 
-obj-y += i82801bx_reset.o
-obj-y += i82801bx_watchdog.o
+ramstage-y += i82801bx_reset.o
+ramstage-y += i82801bx_watchdog.o
 
 # TODO: Fix and enable i82801bx_smbus.o later.
 
Index: src/southbridge/intel/i82801cx/Makefile.inc
===================================================================
--- src/southbridge/intel/i82801cx/Makefile.inc	(Revision 5880)
+++ src/southbridge/intel/i82801cx/Makefile.inc	(Arbeitskopie)
@@ -5,4 +5,4 @@
 driver-y += i82801cx_ac97.o
 #driver-y += i82801cx_nic.o
 driver-y += i82801cx_pci.o
-obj-y += i82801cx_reset.o
+ramstage-y += i82801cx_reset.o
Index: src/southbridge/intel/i82801dx/Makefile.inc
===================================================================
--- src/southbridge/intel/i82801dx/Makefile.inc	(Revision 5880)
+++ src/southbridge/intel/i82801dx/Makefile.inc	(Arbeitskopie)
@@ -27,7 +27,7 @@
 driver-y += i82801dx_usb.o
 driver-y += i82801dx_usb2.o
 
-obj-y += i82801dx_reset.o
-obj-$(CONFIG_HAVE_SMI_HANDLER) += i82801dx_smi.o
+ramstage-y += i82801dx_reset.o
+ramstage-$(CONFIG_HAVE_SMI_HANDLER) += i82801dx_smi.o
 
-smmobj-$(CONFIG_HAVE_SMI_HANDLER) += i82801dx_smihandler.o
+smm-$(CONFIG_HAVE_SMI_HANDLER) += i82801dx_smihandler.o
Index: src/southbridge/intel/i82801ex/Makefile.inc
===================================================================
--- src/southbridge/intel/i82801ex/Makefile.inc	(Revision 5880)
+++ src/southbridge/intel/i82801ex/Makefile.inc	(Arbeitskopie)
@@ -7,5 +7,5 @@
 driver-y += i82801ex_smbus.o
 driver-y += i82801ex_pci.o
 driver-y += i82801ex_ac97.o
-obj-y += i82801ex_watchdog.o
-obj-y += i82801ex_reset.o
+ramstage-y += i82801ex_watchdog.o
+ramstage-y += i82801ex_reset.o
Index: src/southbridge/intel/i82801gx/Makefile.inc
===================================================================
--- src/southbridge/intel/i82801gx/Makefile.inc	(Revision 5880)
+++ src/southbridge/intel/i82801gx/Makefile.inc	(Arbeitskopie)
@@ -30,8 +30,8 @@
 driver-y += i82801gx_usb.o
 driver-y += i82801gx_usb_ehci.o
 
-obj-y += i82801gx_reset.o
-obj-y += i82801gx_watchdog.o
+ramstage-y += i82801gx_reset.o
+ramstage-y += i82801gx_watchdog.o
 
-obj-$(CONFIG_HAVE_SMI_HANDLER) += i82801gx_smi.o
-smmobj-$(CONFIG_HAVE_SMI_HANDLER) += i82801gx_smihandler.o
+ramstage-$(CONFIG_HAVE_SMI_HANDLER) += i82801gx_smi.o
+smm-$(CONFIG_HAVE_SMI_HANDLER) += i82801gx_smihandler.o
Index: src/southbridge/intel/i3100/Makefile.inc
===================================================================
--- src/southbridge/intel/i3100/Makefile.inc	(Revision 5880)
+++ src/southbridge/intel/i3100/Makefile.inc	(Arbeitskopie)
@@ -5,5 +5,5 @@
 driver-y += i3100_ehci.o
 driver-y += i3100_smbus.o
 driver-y += i3100_pci.o
-obj-y += i3100_reset.o
-obj-y += i3100_pciexp_portb.o
+ramstage-y += i3100_reset.o
+ramstage-y += i3100_pciexp_portb.o
Index: src/southbridge/sis/sis966/Makefile.inc
===================================================================
--- src/southbridge/sis/sis966/Makefile.inc	(Revision 5880)
+++ src/southbridge/sis/sis966/Makefile.inc	(Arbeitskopie)
@@ -8,7 +8,7 @@
 driver-y += sis966_sata.o
 driver-y += sis966_pcie.o
 driver-y += sis966_aza.o
-obj-y += sis966_reset.o
+ramstage-y += sis966_reset.o
 
 chipset_bootblock_inc += $(src)/southbridge/sis/sis966/romstrap.inc
 chipset_bootblock_lds += $(src)/southbridge/sis/sis966/romstrap.lds
Index: src/devices/Makefile.inc
===================================================================
--- src/devices/Makefile.inc	(Revision 5880)
+++ src/devices/Makefile.inc	(Arbeitskopie)
@@ -1,21 +1,21 @@
-obj-y += device.o
-obj-y += root_device.o
-obj-y += device_util.o
-obj-y += pci_device.o
-obj-$(CONFIG_HYPERTRANSPORT_PLUGIN_SUPPORT) += hypertransport.o
-obj-y += pcix_device.o
-obj-y += pciexp_device.o
-obj-y += agp_device.o
-obj-y += cardbus_device.o
-obj-y += pnp_device.o
-obj-y += pci_ops.o
-obj-y += smbus_ops.o
+ramstage-y += device.o
+ramstage-y += root_device.o
+ramstage-y += device_util.o
+ramstage-y += pci_device.o
+ramstage-$(CONFIG_HYPERTRANSPORT_PLUGIN_SUPPORT) += hypertransport.o
+ramstage-y += pcix_device.o
+ramstage-y += pciexp_device.o
+ramstage-y += agp_device.o
+ramstage-y += cardbus_device.o
+ramstage-y += pnp_device.o
+ramstage-y += pci_ops.o
+ramstage-y += smbus_ops.o
 
 subdirs-y += oprom
 
 ifeq ($(CONFIG_PCI_ROM_RUN),y)
-obj-y += pci_rom.o
+ramstage-y += pci_rom.o
 else
-obj-$(CONFIG_VGA_ROM_RUN) += pci_rom.o
+ramstage-$(CONFIG_VGA_ROM_RUN) += pci_rom.o
 endif
 
Index: src/devices/oprom/Makefile.inc
===================================================================
--- src/devices/oprom/Makefile.inc	(Revision 5880)
+++ src/devices/oprom/Makefile.inc	(Arbeitskopie)
@@ -17,9 +17,9 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-obj-$(CONFIG_PCI_OPTION_ROM_RUN_REALMODE) += x86.o
-obj-$(CONFIG_PCI_OPTION_ROM_RUN_REALMODE) += x86_asm.o
-obj-$(CONFIG_PCI_OPTION_ROM_RUN_REALMODE) += x86_interrupts.o
+ramstage-$(CONFIG_PCI_OPTION_ROM_RUN_REALMODE) += x86.o
+ramstage-$(CONFIG_PCI_OPTION_ROM_RUN_REALMODE) += x86_asm.o
+ramstage-$(CONFIG_PCI_OPTION_ROM_RUN_REALMODE) += x86_interrupts.o
 
 subdirs-$(CONFIG_PCI_OPTION_ROM_RUN_YABEL) += x86emu
 subdirs-$(CONFIG_PCI_OPTION_ROM_RUN_YABEL) += yabel
Index: src/devices/oprom/x86emu/Makefile.inc
===================================================================
--- src/devices/oprom/x86emu/Makefile.inc	(Revision 5880)
+++ src/devices/oprom/x86emu/Makefile.inc	(Arbeitskopie)
@@ -1,7 +1,7 @@
-obj-y += debug.o
-obj-y += decode.o
-obj-y += fpu.o
-obj-y += ops.o
-obj-y += ops2.o
-obj-y += prim_ops.o
-obj-y += sys.o
+ramstage-y += debug.o
+ramstage-y += decode.o
+ramstage-y += fpu.o
+ramstage-y += ops.o
+ramstage-y += ops2.o
+ramstage-y += prim_ops.o
+ramstage-y += sys.o
Index: src/devices/oprom/yabel/compat/Makefile.inc
===================================================================
--- src/devices/oprom/yabel/compat/Makefile.inc	(Revision 5880)
+++ src/devices/oprom/yabel/compat/Makefile.inc	(Arbeitskopie)
@@ -1 +1 @@
-obj-y += functions.o
+ramstage-y += functions.o
Index: src/devices/oprom/yabel/Makefile.inc
===================================================================
--- src/devices/oprom/yabel/Makefile.inc	(Revision 5880)
+++ src/devices/oprom/yabel/Makefile.inc	(Arbeitskopie)
@@ -1,9 +1,9 @@
-obj-y += biosemu.o
-obj-y += debug.o
-obj-y += device.o
-obj-y += interrupt.o
-obj-y += io.o
-obj-y += mem.o
-obj-y += pmm.o
-obj-y += vbe.o
+ramstage-y += biosemu.o
+ramstage-y += debug.o
+ramstage-y += device.o
+ramstage-y += interrupt.o
+ramstage-y += io.o
+ramstage-y += mem.o
+ramstage-y += pmm.o
+ramstage-y += vbe.o
 subdirs-y += compat
Index: src/superio/via/vt1211/Makefile.inc
===================================================================
--- src/superio/via/vt1211/Makefile.inc	(Revision 5880)
+++ src/superio/via/vt1211/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_VIA_VT1211) += vt1211.o
+ramstage-$(CONFIG_SUPERIO_VIA_VT1211) += vt1211.o
Index: src/superio/fintek/f71805f/Makefile.inc
===================================================================
--- src/superio/fintek/f71805f/Makefile.inc	(Revision 5880)
+++ src/superio/fintek/f71805f/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_FINTEK_F71805F) += superio.o
+ramstage-$(CONFIG_SUPERIO_FINTEK_F71805F) += superio.o
Index: src/superio/fintek/f71859/Makefile.inc
===================================================================
--- src/superio/fintek/f71859/Makefile.inc	(Revision 5880)
+++ src/superio/fintek/f71859/Makefile.inc	(Arbeitskopie)
@@ -17,4 +17,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_FINTEK_F71859) += superio.o
+ramstage-$(CONFIG_SUPERIO_FINTEK_F71859) += superio.o
Index: src/superio/fintek/f71863fg/Makefile.inc
===================================================================
--- src/superio/fintek/f71863fg/Makefile.inc	(Revision 5880)
+++ src/superio/fintek/f71863fg/Makefile.inc	(Arbeitskopie)
@@ -18,5 +18,5 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-obj-$(CONFIG_SUPERIO_FINTEK_F71863FG) += superio.o
+ramstage-$(CONFIG_SUPERIO_FINTEK_F71863FG) += superio.o
 
Index: src/superio/renesas/m3885x/Makefile.inc
===================================================================
--- src/superio/renesas/m3885x/Makefile.inc	(Revision 5880)
+++ src/superio/renesas/m3885x/Makefile.inc	(Arbeitskopie)
@@ -17,4 +17,4 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-obj-$(CONFIG_SUPERIO_RENESAS_M3885X) += superio.o
+ramstage-$(CONFIG_SUPERIO_RENESAS_M3885X) += superio.o
Index: src/superio/winbond/w83627thf/Makefile.inc
===================================================================
--- src/superio/winbond/w83627thf/Makefile.inc	(Revision 5880)
+++ src/superio/winbond/w83627thf/Makefile.inc	(Arbeitskopie)
@@ -21,4 +21,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_WINBOND_W83627THF) += superio.o
+ramstage-$(CONFIG_SUPERIO_WINBOND_W83627THF) += superio.o
Index: src/superio/winbond/w83977tf/Makefile.inc
===================================================================
--- src/superio/winbond/w83977tf/Makefile.inc	(Revision 5880)
+++ src/superio/winbond/w83977tf/Makefile.inc	(Arbeitskopie)
@@ -21,4 +21,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_WINBOND_W83977TF) += superio.o
+ramstage-$(CONFIG_SUPERIO_WINBOND_W83977TF) += superio.o
Index: src/superio/winbond/w83627dhg/Makefile.inc
===================================================================
--- src/superio/winbond/w83627dhg/Makefile.inc	(Revision 5880)
+++ src/superio/winbond/w83627dhg/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_WINBOND_W83627DHG) += superio.o
+ramstage-$(CONFIG_SUPERIO_WINBOND_W83627DHG) += superio.o
Index: src/superio/winbond/w83627thg/Makefile.inc
===================================================================
--- src/superio/winbond/w83627thg/Makefile.inc	(Revision 5880)
+++ src/superio/winbond/w83627thg/Makefile.inc	(Arbeitskopie)
@@ -21,4 +21,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_WINBOND_W83627THG) += superio.o
+ramstage-$(CONFIG_SUPERIO_WINBOND_W83627THG) += superio.o
Index: src/superio/winbond/w83627ehg/Makefile.inc
===================================================================
--- src/superio/winbond/w83627ehg/Makefile.inc	(Revision 5880)
+++ src/superio/winbond/w83627ehg/Makefile.inc	(Arbeitskopie)
@@ -20,4 +20,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_WINBOND_W83627EHG) += superio.o
+ramstage-$(CONFIG_SUPERIO_WINBOND_W83627EHG) += superio.o
Index: src/superio/winbond/w83627uhg/Makefile.inc
===================================================================
--- src/superio/winbond/w83627uhg/Makefile.inc	(Revision 5880)
+++ src/superio/winbond/w83627uhg/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_WINBOND_W83627UHG) += superio.o
+ramstage-$(CONFIG_SUPERIO_WINBOND_W83627UHG) += superio.o
Index: src/superio/winbond/w83697hf/Makefile.inc
===================================================================
--- src/superio/winbond/w83697hf/Makefile.inc	(Revision 5880)
+++ src/superio/winbond/w83697hf/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_WINBOND_W83697HF) += superio.o
+ramstage-$(CONFIG_SUPERIO_WINBOND_W83697HF) += superio.o
Index: src/superio/winbond/w83627hf/Makefile.inc
===================================================================
--- src/superio/winbond/w83627hf/Makefile.inc	(Revision 5880)
+++ src/superio/winbond/w83627hf/Makefile.inc	(Arbeitskopie)
@@ -21,4 +21,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_WINBOND_W83627HF) += superio.o
+ramstage-$(CONFIG_SUPERIO_WINBOND_W83627HF) += superio.o
Index: src/superio/winbond/w83977f/Makefile.inc
===================================================================
--- src/superio/winbond/w83977f/Makefile.inc	(Revision 5880)
+++ src/superio/winbond/w83977f/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_WINBOND_W83977F) += superio.o
+ramstage-$(CONFIG_SUPERIO_WINBOND_W83977F) += superio.o
Index: src/superio/ite/it8712f/Makefile.inc
===================================================================
--- src/superio/ite/it8712f/Makefile.inc	(Revision 5880)
+++ src/superio/ite/it8712f/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_ITE_IT8712F) += superio.o
+ramstage-$(CONFIG_SUPERIO_ITE_IT8712F) += superio.o
Index: src/superio/ite/it8705f/Makefile.inc
===================================================================
--- src/superio/ite/it8705f/Makefile.inc	(Revision 5880)
+++ src/superio/ite/it8705f/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_ITE_IT8705F) += superio.o
+ramstage-$(CONFIG_SUPERIO_ITE_IT8705F) += superio.o
Index: src/superio/ite/it8661f/Makefile.inc
===================================================================
--- src/superio/ite/it8661f/Makefile.inc	(Revision 5880)
+++ src/superio/ite/it8661f/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_ITE_IT8661F) += superio.o
+ramstage-$(CONFIG_SUPERIO_ITE_IT8661F) += superio.o
Index: src/superio/ite/it8671f/Makefile.inc
===================================================================
--- src/superio/ite/it8671f/Makefile.inc	(Revision 5880)
+++ src/superio/ite/it8671f/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_ITE_IT8671F) += superio.o
+ramstage-$(CONFIG_SUPERIO_ITE_IT8671F) += superio.o
Index: src/superio/ite/it8716f/Makefile.inc
===================================================================
--- src/superio/ite/it8716f/Makefile.inc	(Revision 5880)
+++ src/superio/ite/it8716f/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_ITE_IT8716F) += superio.o
+ramstage-$(CONFIG_SUPERIO_ITE_IT8716F) += superio.o
Index: src/superio/ite/it8673f/Makefile.inc
===================================================================
--- src/superio/ite/it8673f/Makefile.inc	(Revision 5880)
+++ src/superio/ite/it8673f/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_ITE_IT8673F) += superio.o
+ramstage-$(CONFIG_SUPERIO_ITE_IT8673F) += superio.o
Index: src/superio/ite/it8718f/Makefile.inc
===================================================================
--- src/superio/ite/it8718f/Makefile.inc	(Revision 5880)
+++ src/superio/ite/it8718f/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_ITE_IT8718F) += superio.o
+ramstage-$(CONFIG_SUPERIO_ITE_IT8718F) += superio.o
Index: src/superio/nsc/pc87366/Makefile.inc
===================================================================
--- src/superio/nsc/pc87366/Makefile.inc	(Revision 5880)
+++ src/superio/nsc/pc87366/Makefile.inc	(Arbeitskopie)
@@ -20,4 +20,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_NSC_PC87366) += superio.o
+ramstage-$(CONFIG_SUPERIO_NSC_PC87366) += superio.o
Index: src/superio/nsc/pc8374/Makefile.inc
===================================================================
--- src/superio/nsc/pc8374/Makefile.inc	(Revision 5880)
+++ src/superio/nsc/pc8374/Makefile.inc	(Arbeitskopie)
@@ -20,4 +20,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_NSC_PC8374) += superio.o
+ramstage-$(CONFIG_SUPERIO_NSC_PC8374) += superio.o
Index: src/superio/nsc/pc87351/Makefile.inc
===================================================================
--- src/superio/nsc/pc87351/Makefile.inc	(Revision 5880)
+++ src/superio/nsc/pc87351/Makefile.inc	(Arbeitskopie)
@@ -20,4 +20,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_NSC_PC87351) += superio.o
+ramstage-$(CONFIG_SUPERIO_NSC_PC87351) += superio.o
Index: src/superio/nsc/pc87360/Makefile.inc
===================================================================
--- src/superio/nsc/pc87360/Makefile.inc	(Revision 5880)
+++ src/superio/nsc/pc87360/Makefile.inc	(Arbeitskopie)
@@ -20,4 +20,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_NSC_PC87360) += superio.o
+ramstage-$(CONFIG_SUPERIO_NSC_PC87360) += superio.o
Index: src/superio/nsc/pc97307/Makefile.inc
===================================================================
--- src/superio/nsc/pc97307/Makefile.inc	(Revision 5880)
+++ src/superio/nsc/pc97307/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_NSC_PC97307) += superio.o
+ramstage-$(CONFIG_SUPERIO_NSC_PC97307) += superio.o
Index: src/superio/nsc/pc87309/Makefile.inc
===================================================================
--- src/superio/nsc/pc87309/Makefile.inc	(Revision 5880)
+++ src/superio/nsc/pc87309/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_NSC_PC87309) += superio.o
+ramstage-$(CONFIG_SUPERIO_NSC_PC87309) += superio.o
Index: src/superio/nsc/pc87417/Makefile.inc
===================================================================
--- src/superio/nsc/pc87417/Makefile.inc	(Revision 5880)
+++ src/superio/nsc/pc87417/Makefile.inc	(Arbeitskopie)
@@ -21,4 +21,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_NSC_PC87417) += superio.o
+ramstage-$(CONFIG_SUPERIO_NSC_PC87417) += superio.o
Index: src/superio/nsc/pc97317/Makefile.inc
===================================================================
--- src/superio/nsc/pc97317/Makefile.inc	(Revision 5880)
+++ src/superio/nsc/pc97317/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_NSC_PC97317) += superio.o
+ramstage-$(CONFIG_SUPERIO_NSC_PC97317) += superio.o
Index: src/superio/nsc/pc87427/Makefile.inc
===================================================================
--- src/superio/nsc/pc87427/Makefile.inc	(Revision 5880)
+++ src/superio/nsc/pc87427/Makefile.inc	(Arbeitskopie)
@@ -20,4 +20,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_NSC_PC87427) += superio.o
+ramstage-$(CONFIG_SUPERIO_NSC_PC87427) += superio.o
Index: src/superio/smsc/lpc47m10x/Makefile.inc
===================================================================
--- src/superio/smsc/lpc47m10x/Makefile.inc	(Revision 5880)
+++ src/superio/smsc/lpc47m10x/Makefile.inc	(Arbeitskopie)
@@ -23,4 +23,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_SMSC_LPC47M10X) += superio.o
+ramstage-$(CONFIG_SUPERIO_SMSC_LPC47M10X) += superio.o
Index: src/superio/smsc/fdc37m60x/Makefile.inc
===================================================================
--- src/superio/smsc/fdc37m60x/Makefile.inc	(Revision 5880)
+++ src/superio/smsc/fdc37m60x/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_SMSC_FDC37M60X) += superio.o
+ramstage-$(CONFIG_SUPERIO_SMSC_FDC37M60X) += superio.o
Index: src/superio/smsc/lpc47n217/Makefile.inc
===================================================================
--- src/superio/smsc/lpc47n217/Makefile.inc	(Revision 5880)
+++ src/superio/smsc/lpc47n217/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_SMSC_LPC47N217) += superio.o
+ramstage-$(CONFIG_SUPERIO_SMSC_LPC47N217) += superio.o
Index: src/superio/smsc/lpc47n227/Makefile.inc
===================================================================
--- src/superio/smsc/lpc47n227/Makefile.inc	(Revision 5880)
+++ src/superio/smsc/lpc47n227/Makefile.inc	(Arbeitskopie)
@@ -17,4 +17,4 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-obj-$(CONFIG_SUPERIO_SMSC_LPC47N227) += superio.o
+ramstage-$(CONFIG_SUPERIO_SMSC_LPC47N227) += superio.o
Index: src/superio/smsc/lpc47m15x/Makefile.inc
===================================================================
--- src/superio/smsc/lpc47m15x/Makefile.inc	(Revision 5880)
+++ src/superio/smsc/lpc47m15x/Makefile.inc	(Arbeitskopie)
@@ -18,4 +18,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_SMSC_LPC47M15X) += superio.o
+ramstage-$(CONFIG_SUPERIO_SMSC_LPC47M15X) += superio.o
Index: src/superio/smsc/lpc47b272/Makefile.inc
===================================================================
--- src/superio/smsc/lpc47b272/Makefile.inc	(Revision 5880)
+++ src/superio/smsc/lpc47b272/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_SMSC_LPC47B272) += superio.o
+ramstage-$(CONFIG_SUPERIO_SMSC_LPC47B272) += superio.o
Index: src/superio/smsc/fdc37n972/Makefile.inc
===================================================================
--- src/superio/smsc/fdc37n972/Makefile.inc	(Revision 5880)
+++ src/superio/smsc/fdc37n972/Makefile.inc	(Arbeitskopie)
@@ -17,4 +17,4 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-obj-$(CONFIG_SUPERIO_SMSC_FDC37N972) += fdc37n972.o
+ramstage-$(CONFIG_SUPERIO_SMSC_FDC37N972) += fdc37n972.o
Index: src/superio/smsc/sio10n268/Makefile.inc
===================================================================
--- src/superio/smsc/sio10n268/Makefile.inc	(Revision 5880)
+++ src/superio/smsc/sio10n268/Makefile.inc	(Arbeitskopie)
@@ -17,4 +17,4 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-obj-$(CONFIG_SUPERIO_SMSC_SIO10N268) += sio10n268.o
+ramstage-$(CONFIG_SUPERIO_SMSC_SIO10N268) += sio10n268.o
Index: src/superio/smsc/smscsuperio/Makefile.inc
===================================================================
--- src/superio/smsc/smscsuperio/Makefile.inc	(Revision 5880)
+++ src/superio/smsc/smscsuperio/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_SMSC_SMSCSUPERIO) += superio.o
+ramstage-$(CONFIG_SUPERIO_SMSC_SMSCSUPERIO) += superio.o
Index: src/superio/smsc/lpc47b397/Makefile.inc
===================================================================
--- src/superio/smsc/lpc47b397/Makefile.inc	(Revision 5880)
+++ src/superio/smsc/lpc47b397/Makefile.inc	(Arbeitskopie)
@@ -21,4 +21,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_SMSC_LPC47B397) += superio.o
+ramstage-$(CONFIG_SUPERIO_SMSC_LPC47B397) += superio.o
Index: src/superio/intel/i3100/Makefile.inc
===================================================================
--- src/superio/intel/i3100/Makefile.inc	(Revision 5880)
+++ src/superio/intel/i3100/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_INTEL_I3100) += superio.o
+ramstage-$(CONFIG_SUPERIO_INTEL_I3100) += superio.o
Index: src/cpu/amd/model_gx2/Makefile.inc
===================================================================
--- src/cpu/amd/model_gx2/Makefile.inc	(Revision 5880)
+++ src/cpu/amd/model_gx2/Makefile.inc	(Arbeitskopie)
@@ -4,6 +4,6 @@
 subdirs-y += ../../x86/smm
 
 driver-y += model_gx2_init.o
-obj-y += cpubug.o
+ramstage-y += cpubug.o
 
 cpu_incs += $(src)/cpu/amd/model_gx2/cache_as_ram.inc
Index: src/cpu/amd/socket_S1G1/Makefile.inc
===================================================================
--- src/cpu/amd/socket_S1G1/Makefile.inc	(Revision 5880)
+++ src/cpu/amd/socket_S1G1/Makefile.inc	(Arbeitskopie)
@@ -1,4 +1,4 @@
-obj-y += socket_S1G1.o
+ramstage-y += socket_S1G1.o
 subdirs-y += ../model_fxx
 subdirs-y += ../dualcore
 subdirs-y += ../mtrr
Index: src/cpu/amd/mtrr/Makefile.inc
===================================================================
--- src/cpu/amd/mtrr/Makefile.inc	(Revision 5880)
+++ src/cpu/amd/mtrr/Makefile.inc	(Arbeitskopie)
@@ -1 +1 @@
-obj-y += amd_mtrr.o
+ramstage-y += amd_mtrr.o
Index: src/cpu/amd/socket_940/Makefile.inc
===================================================================
--- src/cpu/amd/socket_940/Makefile.inc	(Revision 5880)
+++ src/cpu/amd/socket_940/Makefile.inc	(Arbeitskopie)
@@ -1,4 +1,4 @@
-obj-y += socket_940.o
+ramstage-y += socket_940.o
 subdirs-y += ../model_fxx
 subdirs-y += ../dualcore
 subdirs-y += ../mtrr
Index: src/cpu/amd/model_fxx/Makefile.inc
===================================================================
--- src/cpu/amd/model_fxx/Makefile.inc	(Revision 5880)
+++ src/cpu/amd/model_fxx/Makefile.inc	(Arbeitskopie)
@@ -1,6 +1,6 @@
 # no conditionals here. If you include this file from a socket, then you get all the binaries.
 driver-y += model_fxx_init.o
-obj-y += apic_timer.o
-obj-y += model_fxx_update_microcode.o
-obj-y += processor_name.o
-obj-y += powernow_acpi.o
+ramstage-y += apic_timer.o
+ramstage-y += model_fxx_update_microcode.o
+ramstage-y += processor_name.o
+ramstage-y += powernow_acpi.o
Index: src/cpu/amd/socket_AM2/Makefile.inc
===================================================================
--- src/cpu/amd/socket_AM2/Makefile.inc	(Revision 5880)
+++ src/cpu/amd/socket_AM2/Makefile.inc	(Arbeitskopie)
@@ -1,4 +1,4 @@
-obj-y += socket_AM2.o
+ramstage-y += socket_AM2.o
 subdirs-y += ../model_fxx
 subdirs-y += ../dualcore
 subdirs-y += ../mtrr
Index: src/cpu/amd/socket_754/Makefile.inc
===================================================================
--- src/cpu/amd/socket_754/Makefile.inc	(Revision 5880)
+++ src/cpu/amd/socket_754/Makefile.inc	(Arbeitskopie)
@@ -1,4 +1,4 @@
-obj-y += socket_754.o
+ramstage-y += socket_754.o
 subdirs-y += ../model_fxx
 subdirs-y += ../dualcore
 subdirs-y += ../mtrr
Index: src/cpu/amd/socket_AM3/Makefile.inc
===================================================================
--- src/cpu/amd/socket_AM3/Makefile.inc	(Revision 5880)
+++ src/cpu/amd/socket_AM3/Makefile.inc	(Arbeitskopie)
@@ -1,4 +1,4 @@
-obj-y += socket_AM3.o
+ramstage-y += socket_AM3.o
 subdirs-y += ../model_10xxx
 subdirs-y += ../quadcore
 subdirs-y += ../mtrr
Index: src/cpu/amd/socket_AM2r2/Makefile.inc
===================================================================
--- src/cpu/amd/socket_AM2r2/Makefile.inc	(Revision 5880)
+++ src/cpu/amd/socket_AM2r2/Makefile.inc	(Arbeitskopie)
@@ -1,4 +1,4 @@
-obj-y += socket_AM2r2.o
+ramstage-y += socket_AM2r2.o
 subdirs-y += ../model_10xxx
 subdirs-y += ../quadcore
 subdirs-y += ../mtrr
Index: src/cpu/amd/sc520/Makefile.inc
===================================================================
--- src/cpu/amd/sc520/Makefile.inc	(Revision 5880)
+++ src/cpu/amd/sc520/Makefile.inc	(Arbeitskopie)
@@ -1 +1 @@
-obj-y += sc520.o
+ramstage-y += sc520.o
Index: src/cpu/amd/socket_939/Makefile.inc
===================================================================
--- src/cpu/amd/socket_939/Makefile.inc	(Revision 5880)
+++ src/cpu/amd/socket_939/Makefile.inc	(Arbeitskopie)
@@ -1,4 +1,4 @@
-obj-y += socket_939.o
+ramstage-y += socket_939.o
 subdirs-y += ../model_fxx
 subdirs-y += ../dualcore
 subdirs-y += ../mtrr
Index: src/cpu/amd/socket_F/Makefile.inc
===================================================================
--- src/cpu/amd/socket_F/Makefile.inc	(Revision 5880)
+++ src/cpu/amd/socket_F/Makefile.inc	(Arbeitskopie)
@@ -1,4 +1,4 @@
-obj-y += socket_F.o
+ramstage-y += socket_F.o
 subdirs-y += ../model_fxx
 subdirs-y += ../dualcore
 subdirs-y += ../mtrr
Index: src/cpu/amd/dualcore/Makefile.inc
===================================================================
--- src/cpu/amd/dualcore/Makefile.inc	(Revision 5880)
+++ src/cpu/amd/dualcore/Makefile.inc	(Arbeitskopie)
@@ -1,2 +1,2 @@
 # This is a leaf Makefile, no conditionals. If it is included it will be used.
-obj-y += amd_sibling.o
+ramstage-y += amd_sibling.o
Index: src/cpu/amd/socket_ASB2/Makefile.inc
===================================================================
--- src/cpu/amd/socket_ASB2/Makefile.inc	(Revision 5880)
+++ src/cpu/amd/socket_ASB2/Makefile.inc	(Arbeitskopie)
@@ -1,4 +1,4 @@
-obj-y += socket_ASB2.o
+ramstage-y += socket_ASB2.o
 subdirs-y += ../model_10xxx
 subdirs-y += ../quadcore
 subdirs-y += ../mtrr
Index: src/cpu/amd/quadcore/Makefile.inc
===================================================================
--- src/cpu/amd/quadcore/Makefile.inc	(Revision 5880)
+++ src/cpu/amd/quadcore/Makefile.inc	(Arbeitskopie)
@@ -1 +1 @@
-obj-y += amd_sibling.o
+ramstage-y += amd_sibling.o
Index: src/cpu/amd/model_lx/Makefile.inc
===================================================================
--- src/cpu/amd/model_lx/Makefile.inc	(Revision 5880)
+++ src/cpu/amd/model_lx/Makefile.inc	(Arbeitskopie)
@@ -4,6 +4,6 @@
 subdirs-y += ../../x86/smm
 
 driver-y += model_lx_init.o
-obj-y += cpubug.o
+ramstage-y += cpubug.o
 
 cpu_incs += $(src)/cpu/amd/model_lx/cache_as_ram.inc
Index: src/cpu/amd/microcode/Makefile.inc
===================================================================
--- src/cpu/amd/microcode/Makefile.inc	(Revision 5880)
+++ src/cpu/amd/microcode/Makefile.inc	(Arbeitskopie)
@@ -1 +1 @@
-obj-y += microcode.o
+ramstage-y += microcode.o
Index: src/cpu/amd/socket_F_1207/Makefile.inc
===================================================================
--- src/cpu/amd/socket_F_1207/Makefile.inc	(Revision 5880)
+++ src/cpu/amd/socket_F_1207/Makefile.inc	(Arbeitskopie)
@@ -1,4 +1,4 @@
-obj-y += socket_F_1207.o
+ramstage-y += socket_F_1207.o
 subdirs-y += ../model_10xxx
 subdirs-y += ../quadcore
 subdirs-y += ../mtrr
Index: src/cpu/amd/model_10xxx/Makefile.inc
===================================================================
--- src/cpu/amd/model_10xxx/Makefile.inc	(Revision 5880)
+++ src/cpu/amd/model_10xxx/Makefile.inc	(Arbeitskopie)
@@ -1,5 +1,5 @@
 # no conditionals here. If you include this file from a socket, then you get all the binaries.
 driver-y += model_10xxx_init.o
-obj-y += update_microcode.o
-obj-y += apic_timer.o
-obj-y += processor_name.o
+ramstage-y += update_microcode.o
+ramstage-y += apic_timer.o
+ramstage-y += processor_name.o
Index: src/cpu/x86/name/Makefile.inc
===================================================================
--- src/cpu/x86/name/Makefile.inc	(Revision 5880)
+++ src/cpu/x86/name/Makefile.inc	(Arbeitskopie)
@@ -17,5 +17,5 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-obj-y += name.o
+ramstage-y += name.o
 
Index: src/cpu/x86/cache/Makefile.inc
===================================================================
--- src/cpu/x86/cache/Makefile.inc	(Revision 5880)
+++ src/cpu/x86/cache/Makefile.inc	(Arbeitskopie)
@@ -1 +1 @@
-obj-y += cache.o
+ramstage-y += cache.o
Index: src/cpu/x86/mtrr/Makefile.inc
===================================================================
--- src/cpu/x86/mtrr/Makefile.inc	(Revision 5880)
+++ src/cpu/x86/mtrr/Makefile.inc	(Arbeitskopie)
@@ -1 +1 @@
-obj-y += mtrr.o
+ramstage-y += mtrr.o
Index: src/cpu/x86/pae/Makefile.inc
===================================================================
--- src/cpu/x86/pae/Makefile.inc	(Revision 5880)
+++ src/cpu/x86/pae/Makefile.inc	(Arbeitskopie)
@@ -1 +1 @@
-obj-y += pgtbl.o
+ramstage-y += pgtbl.o
Index: src/cpu/x86/lapic/Makefile.inc
===================================================================
--- src/cpu/x86/lapic/Makefile.inc	(Revision 5880)
+++ src/cpu/x86/lapic/Makefile.inc	(Arbeitskopie)
@@ -1,4 +1,4 @@
-obj-y += lapic.o
-obj-y += lapic_cpu_init.o
-obj-y += secondary.o
-obj-$(CONFIG_UDELAY_LAPIC) += apic_timer.o
+ramstage-y += lapic.o
+ramstage-y += lapic_cpu_init.o
+ramstage-y += secondary.o
+ramstage-$(CONFIG_UDELAY_LAPIC) += apic_timer.o
Index: src/cpu/x86/tsc/Makefile.inc
===================================================================
--- src/cpu/x86/tsc/Makefile.inc	(Revision 5880)
+++ src/cpu/x86/tsc/Makefile.inc	(Arbeitskopie)
@@ -1,2 +1,2 @@
-obj-$(CONFIG_UDELAY_TSC) += delay_tsc.o
+ramstage-$(CONFIG_UDELAY_TSC) += delay_tsc.o
 
Index: src/cpu/x86/smm/Makefile.inc
===================================================================
--- src/cpu/x86/smm/Makefile.inc	(Revision 5880)
+++ src/cpu/x86/smm/Makefile.inc	(Arbeitskopie)
@@ -17,14 +17,14 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-obj-$(CONFIG_HAVE_SMI_HANDLER) += smmrelocate.o
-obj-$(CONFIG_HAVE_SMI_HANDLER) += smm_wrap.o
+ramstage-$(CONFIG_HAVE_SMI_HANDLER) += smmrelocate.o
+ramstage-$(CONFIG_HAVE_SMI_HANDLER) += smm_wrap.o
 
-smmobj-y += smmhandler.o
-smmobj-y += smihandler.o
-smmobj-y += smiutil.o
+smm-y += smmhandler.o
+smm-y += smihandler.o
+smm-y += smiutil.o
 
-$(obj)/cpu/x86/smm/smm.o: $$(smmobjs)
+$(obj)/cpu/x86/smm/smm.o: $$(smm-objs)
 	$(CC) $(LDFLAGS) -nostdlib -r -o $@ $^
 
 $(obj)/cpu/x86/smm/smm: $(obj)/cpu/x86/smm/smm.o $(src)/cpu/x86/smm/smm.ld $(obj)/ldoptions
Index: src/cpu/intel/socket_441/Makefile.inc
===================================================================
--- src/cpu/intel/socket_441/Makefile.inc	(Revision 5880)
+++ src/cpu/intel/socket_441/Makefile.inc	(Arbeitskopie)
@@ -1,4 +1,4 @@
-obj-y += socket_441.o
+ramstage-y += socket_441.o
 subdirs-y += ../model_106cx
 subdirs-y += ../../x86/tsc
 subdirs-y += ../../x86/mtrr
Index: src/cpu/intel/ep80579/Makefile.inc
===================================================================
--- src/cpu/intel/ep80579/Makefile.inc	(Revision 5880)
+++ src/cpu/intel/ep80579/Makefile.inc	(Arbeitskopie)
@@ -1,4 +1,4 @@
-obj-y += ep80579.o
+ramstage-y += ep80579.o
 driver-y += ep80579_init.o
 subdirs-y += ../../x86/tsc
 subdirs-y += ../../x86/mtrr
Index: src/cpu/intel/socket_mFCBGA479/Makefile.inc
===================================================================
--- src/cpu/intel/socket_mFCBGA479/Makefile.inc	(Revision 5880)
+++ src/cpu/intel/socket_mFCBGA479/Makefile.inc	(Arbeitskopie)
@@ -1,4 +1,4 @@
-obj-y += socket_mFCBGA479.o
+ramstage-y += socket_mFCBGA479.o
 subdirs-y += ../model_6bx
 subdirs-y += ../../x86/tsc
 subdirs-y += ../../x86/mtrr
Index: src/cpu/intel/bga956/Makefile.inc
===================================================================
--- src/cpu/intel/bga956/Makefile.inc	(Revision 5880)
+++ src/cpu/intel/bga956/Makefile.inc	(Arbeitskopie)
@@ -1,4 +1,4 @@
-obj-y += bga956.o
+ramstage-y += bga956.o
 subdirs-y += ../model_1067x
 subdirs-y += ../../x86/tsc
 subdirs-y += ../../x86/mtrr
Index: src/cpu/intel/socket_mPGA478/Makefile.inc
===================================================================
--- src/cpu/intel/socket_mPGA478/Makefile.inc	(Revision 5880)
+++ src/cpu/intel/socket_mPGA478/Makefile.inc	(Arbeitskopie)
@@ -1,4 +1,4 @@
-obj-y += socket_mPGA478.o
+ramstage-y += socket_mPGA478.o
 subdirs-y += ../model_69x
 subdirs-y += ../model_6dx
 subdirs-y += ../../x86/tsc
Index: src/cpu/intel/socket_mFCPGA478/Makefile.inc
===================================================================
--- src/cpu/intel/socket_mFCPGA478/Makefile.inc	(Revision 5880)
+++ src/cpu/intel/socket_mFCPGA478/Makefile.inc	(Arbeitskopie)
@@ -1,4 +1,4 @@
-obj-y += socket_mFCPGA478.o
+ramstage-y += socket_mFCPGA478.o
 subdirs-y += ../model_69x
 subdirs-y += ../model_6dx
 subdirs-y += ../model_6ex
Index: src/cpu/intel/socket_PGA370/Makefile.inc
===================================================================
--- src/cpu/intel/socket_PGA370/Makefile.inc	(Revision 5880)
+++ src/cpu/intel/socket_PGA370/Makefile.inc	(Arbeitskopie)
@@ -18,7 +18,7 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-obj-y += socket_PGA370.o
+ramstage-y += socket_PGA370.o
 subdirs-y += ../model_6xx
 subdirs-y += ../../x86/tsc
 subdirs-y += ../../x86/mtrr
Index: src/cpu/intel/socket_FC_PGA370/Makefile.inc
===================================================================
--- src/cpu/intel/socket_FC_PGA370/Makefile.inc	(Revision 5880)
+++ src/cpu/intel/socket_FC_PGA370/Makefile.inc	(Arbeitskopie)
@@ -18,7 +18,7 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-obj-y += socket_FC_PGA370.o
+ramstage-y += socket_FC_PGA370.o
 subdirs-y += ../model_68x
 subdirs-y += ../../x86/tsc
 subdirs-y += ../../x86/mtrr
Index: src/cpu/intel/socket_mPGA603/Makefile.inc
===================================================================
--- src/cpu/intel/socket_mPGA603/Makefile.inc	(Revision 5880)
+++ src/cpu/intel/socket_mPGA603/Makefile.inc	(Arbeitskopie)
@@ -1,4 +1,4 @@
-obj-y += socket_mPGA603_400Mhz.o
+ramstage-y += socket_mPGA603_400Mhz.o
 subdirs-y += ../model_f0x
 subdirs-y += ../model_f1x
 subdirs-y += ../model_f2x
Index: src/cpu/intel/socket_mPGA604/Makefile.inc
===================================================================
--- src/cpu/intel/socket_mPGA604/Makefile.inc	(Revision 5880)
+++ src/cpu/intel/socket_mPGA604/Makefile.inc	(Arbeitskopie)
@@ -1,4 +1,4 @@
-obj-y += socket_mPGA604.o
+ramstage-y += socket_mPGA604.o
 subdirs-y += ../model_f2x
 subdirs-y += ../model_f3x
 subdirs-y += ../model_f4x
Index: src/cpu/intel/speedstep/Makefile.inc
===================================================================
--- src/cpu/intel/speedstep/Makefile.inc	(Revision 5880)
+++ src/cpu/intel/speedstep/Makefile.inc	(Arbeitskopie)
@@ -1 +1 @@
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi.o
+ramstage-$(CONFIG_GENERATE_ACPI_TABLES) += acpi.o
Index: src/cpu/intel/slot_1/Makefile.inc
===================================================================
--- src/cpu/intel/slot_1/Makefile.inc	(Revision 5880)
+++ src/cpu/intel/slot_1/Makefile.inc	(Arbeitskopie)
@@ -18,7 +18,7 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-obj-y += slot_1.o
+ramstage-y += slot_1.o
 subdirs-y += ../model_6xx
 subdirs-y += ../../x86/tsc
 subdirs-y += ../../x86/mtrr
Index: src/cpu/intel/slot_2/Makefile.inc
===================================================================
--- src/cpu/intel/slot_2/Makefile.inc	(Revision 5880)
+++ src/cpu/intel/slot_2/Makefile.inc	(Arbeitskopie)
@@ -18,7 +18,7 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-obj-y += slot_2.o
+ramstage-y += slot_2.o
 subdirs-y += ../model_6xx
 subdirs-y += ../../x86/tsc
 subdirs-y += ../../x86/mtrr
Index: src/cpu/intel/microcode/Makefile.inc
===================================================================
--- src/cpu/intel/microcode/Makefile.inc	(Revision 5880)
+++ src/cpu/intel/microcode/Makefile.inc	(Arbeitskopie)
@@ -1 +1 @@
-obj-y += microcode.o
+ramstage-y += microcode.o
Index: src/cpu/intel/hyperthreading/Makefile.inc
===================================================================
--- src/cpu/intel/hyperthreading/Makefile.inc	(Revision 5880)
+++ src/cpu/intel/hyperthreading/Makefile.inc	(Arbeitskopie)
@@ -1 +1 @@
-obj-y += intel_sibling.o
+ramstage-y += intel_sibling.o
Index: src/cpu/intel/socket_mPGA479M/Makefile.inc
===================================================================
--- src/cpu/intel/socket_mPGA479M/Makefile.inc	(Revision 5880)
+++ src/cpu/intel/socket_mPGA479M/Makefile.inc	(Arbeitskopie)
@@ -1,4 +1,4 @@
-obj-y += socket_mPGA479M.o
+ramstage-y += socket_mPGA479M.o
 subdirs-y += ../model_69x
 subdirs-y += ../model_6dx
 subdirs-y += ../model_f2x
@@ -10,4 +10,4 @@
 subdirs-y += ../microcode
 subdirs-y += ../hyperthreading
 
-cpu_incs += $(src)/cpu/intel/car/cache_as_ram.inc
\ No newline at end of file
+cpu_incs += $(src)/cpu/intel/car/cache_as_ram.inc
Index: src/mainboard/getac/p470/Makefile.inc
===================================================================
--- src/mainboard/getac/p470/Makefile.inc	(Revision 5880)
+++ src/mainboard/getac/p470/Makefile.inc	(Arbeitskopie)
@@ -18,6 +18,6 @@
 ##
 
 driver-y += rtl8168.o
-obj-$(CONFIG_HAVE_ACPI_SLIC) += acpi_slic.o
+ramstage-$(CONFIG_HAVE_ACPI_SLIC) += acpi_slic.o
 
-smmobj-$(CONFIG_HAVE_SMI_HANDLER) += mainboard_smi.o
+smm-$(CONFIG_HAVE_SMI_HANDLER) += mainboard_smi.o
Index: src/mainboard/broadcom/blast/Makefile.inc
===================================================================
--- src/mainboard/broadcom/blast/Makefile.inc	(Revision 5880)
+++ src/mainboard/broadcom/blast/Makefile.inc	(Arbeitskopie)
@@ -1,4 +1,4 @@
 
 # Needed by irq_tables and mptable and acpi_tables.
 
-obj-y += ../../../drivers/i2c/i2cmux2/i2cmux2.o
+ramstage-y += ../../../drivers/i2c/i2cmux2/i2cmux2.o
Index: src/mainboard/thomson/ip1000/Makefile.inc
===================================================================
--- src/mainboard/thomson/ip1000/Makefile.inc	(Revision 5880)
+++ src/mainboard/thomson/ip1000/Makefile.inc	(Arbeitskopie)
@@ -1,2 +1,2 @@
-smmobj-$(CONFIG_HAVE_SMI_HANDLER) += mainboard_smi.o
+smm-$(CONFIG_HAVE_SMI_HANDLER) += mainboard_smi.o
 
Index: src/mainboard/supermicro/x6dhe_g/Makefile.inc
===================================================================
--- src/mainboard/supermicro/x6dhe_g/Makefile.inc	(Revision 5880)
+++ src/mainboard/supermicro/x6dhe_g/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 ##
 
 ROMCCFLAGS=-mcpu=p4 -O2
-obj-y += ../../../drivers/generic/debug/debug_dev.o
+ramstage-y += ../../../drivers/generic/debug/debug_dev.o
Index: src/mainboard/supermicro/h8dme/Makefile.inc
===================================================================
--- src/mainboard/supermicro/h8dme/Makefile.inc	(Revision 5880)
+++ src/mainboard/supermicro/h8dme/Makefile.inc	(Arbeitskopie)
@@ -17,6 +17,6 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 ##
 
-obj-y += ../../../drivers/i2c/i2cmux2/i2cmux2.o
+ramstage-y += ../../../drivers/i2c/i2cmux2/i2cmux2.o
 
 # Needed by irq_tables and mptable and acpi_tables.
Index: src/mainboard/supermicro/x6dhe_g2/Makefile.inc
===================================================================
--- src/mainboard/supermicro/x6dhe_g2/Makefile.inc	(Revision 5880)
+++ src/mainboard/supermicro/x6dhe_g2/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 ##
 
 ROMCCFLAGS=-mcpu=p4 -O2
-obj-y += ../../../drivers/generic/debug/debug_dev.o
+ramstage-y += ../../../drivers/generic/debug/debug_dev.o
Index: src/mainboard/kontron/986lcd-m/Makefile.inc
===================================================================
--- src/mainboard/kontron/986lcd-m/Makefile.inc	(Revision 5880)
+++ src/mainboard/kontron/986lcd-m/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 
 driver-y += rtl8168.o
 
-smmobj-$(CONFIG_HAVE_SMI_HANDLER) += mainboard_smi.o
+smm-$(CONFIG_HAVE_SMI_HANDLER) += mainboard_smi.o
Index: src/mainboard/gigabyte/m57sli/Makefile.inc
===================================================================
--- src/mainboard/gigabyte/m57sli/Makefile.inc	(Revision 5880)
+++ src/mainboard/gigabyte/m57sli/Makefile.inc	(Arbeitskopie)
@@ -17,4 +17,4 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 ##
 
-obj-$(CONFIG_SUPERIO_ITE_IT8716F_OVERRIDE_FANCTL) += fanctl.o
+ramstage-$(CONFIG_SUPERIO_ITE_IT8716F_OVERRIDE_FANCTL) += fanctl.o
Index: src/mainboard/emulation/qemu-x86/Makefile.inc
===================================================================
--- src/mainboard/emulation/qemu-x86/Makefile.inc	(Revision 5880)
+++ src/mainboard/emulation/qemu-x86/Makefile.inc	(Arbeitskopie)
@@ -1,3 +1,3 @@
 ROMCCFLAGS := -mcpu=i386 -O
 
-obj-y += northbridge.o
+ramstage-y += northbridge.o
Index: src/mainboard/amd/serengeti_cheetah/Makefile.inc
===================================================================
--- src/mainboard/amd/serengeti_cheetah/Makefile.inc	(Revision 5880)
+++ src/mainboard/amd/serengeti_cheetah/Makefile.inc	(Arbeitskopie)
@@ -17,4 +17,4 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 ##
 
-obj-y += ../../../drivers/i2c/i2cmux/i2cmux.o
+ramstage-y += ../../../drivers/i2c/i2cmux/i2cmux.o
Index: src/mainboard/amd/serengeti_cheetah_fam10/Makefile.inc
===================================================================
--- src/mainboard/amd/serengeti_cheetah_fam10/Makefile.inc	(Revision 5880)
+++ src/mainboard/amd/serengeti_cheetah_fam10/Makefile.inc	(Arbeitskopie)
@@ -17,4 +17,4 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 ##
 
-obj-y += ../../../drivers/i2c/i2cmux2/i2cmux2.o
+ramstage-y += ../../../drivers/i2c/i2cmux2/i2cmux2.o
Index: src/mainboard/rca/rm4100/Makefile.inc
===================================================================
--- src/mainboard/rca/rm4100/Makefile.inc	(Revision 5880)
+++ src/mainboard/rca/rm4100/Makefile.inc	(Arbeitskopie)
@@ -1,2 +1,2 @@
-smmobj-$(CONFIG_HAVE_SMI_HANDLER) += mainboard_smi.o
+smm-$(CONFIG_HAVE_SMI_HANDLER) += mainboard_smi.o
 
Index: src/mainboard/hp/dl145_g1/Makefile.inc
===================================================================
--- src/mainboard/hp/dl145_g1/Makefile.inc	(Revision 5880)
+++ src/mainboard/hp/dl145_g1/Makefile.inc	(Arbeitskopie)
@@ -1 +1 @@
-obj-y += ../../../drivers/i2c/i2cmux/i2cmux.o
\ No newline at end of file
+ramstage-y += ../../../drivers/i2c/i2cmux/i2cmux.o
\ No newline at end of file
Index: src/mainboard/tyan/s2881/Makefile.inc
===================================================================
--- src/mainboard/tyan/s2881/Makefile.inc	(Revision 5880)
+++ src/mainboard/tyan/s2881/Makefile.inc	(Arbeitskopie)
@@ -1 +1 @@
-obj-y += ../../../drivers/i2c/adt7463/adt7463.o
+ramstage-y += ../../../drivers/i2c/adt7463/adt7463.o
Index: src/mainboard/tyan/s2892/Makefile.inc
===================================================================
--- src/mainboard/tyan/s2892/Makefile.inc	(Revision 5880)
+++ src/mainboard/tyan/s2892/Makefile.inc	(Arbeitskopie)
@@ -1,2 +1,2 @@
 
-obj-y += ../../../drivers/i2c/adm1027/adm1027.o
+ramstage-y += ../../../drivers/i2c/adm1027/adm1027.o
Index: src/mainboard/via/epia-m700/Makefile.inc
===================================================================
--- src/mainboard/via/epia-m700/Makefile.inc	(Revision 5880)
+++ src/mainboard/via/epia-m700/Makefile.inc	(Arbeitskopie)
@@ -22,5 +22,5 @@
 # This code is unused and should be replaced by the generic resume code
 # completely. If anyone works on wakeup for this chipset/board, delete
 # wakeup.c when you are done.
-# obj-y += wakeup.o
+# ramstage-y += wakeup.o
 
Index: src/mainboard/ibase/mb899/Makefile.inc
===================================================================
--- src/mainboard/ibase/mb899/Makefile.inc	(Revision 5880)
+++ src/mainboard/ibase/mb899/Makefile.inc	(Arbeitskopie)
@@ -17,6 +17,6 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 ##
 
-obj-y += rtl8168.o
+ramstage-y += rtl8168.o
 
-smmobj-$(CONFIG_HAVE_SMI_HANDLER) += mainboard_smi.o
+smm-$(CONFIG_HAVE_SMI_HANDLER) += mainboard_smi.o
Index: src/mainboard/roda/rk886ex/Makefile.inc
===================================================================
--- src/mainboard/roda/rk886ex/Makefile.inc	(Revision 5880)
+++ src/mainboard/roda/rk886ex/Makefile.inc	(Arbeitskopie)
@@ -17,8 +17,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 ##
 
-obj-y += m3885.o
-obj-y += ec.o
+ramstage-y += m3885.o
+ramstage-y += ec.o
 driver-y += rtl8168.o
 
-smmobj-$(CONFIG_HAVE_SMI_HANDLER) += mainboard_smi.o
+smm-$(CONFIG_HAVE_SMI_HANDLER) += mainboard_smi.o
Index: src/mainboard/msi/ms9282/Makefile.inc
===================================================================
--- src/mainboard/msi/ms9282/Makefile.inc	(Revision 5880)
+++ src/mainboard/msi/ms9282/Makefile.inc	(Arbeitskopie)
@@ -18,6 +18,6 @@
 ##
 
 # FIXME drivers should be selected through Kconfig
-obj-y += ../../../drivers/i2c/i2cmux2/i2cmux2.o
-obj-y += ../../../drivers/i2c/adm1027/adm1027.o
+ramstage-y += ../../../drivers/i2c/i2cmux2/i2cmux2.o
+ramstage-y += ../../../drivers/i2c/adm1027/adm1027.o
 
Index: src/mainboard/technexion/tim5690/Makefile.inc
===================================================================
--- src/mainboard/technexion/tim5690/Makefile.inc	(Revision 5880)
+++ src/mainboard/technexion/tim5690/Makefile.inc	(Arbeitskopie)
@@ -20,7 +20,7 @@
 # Needed by irq_tables and mptable and acpi_tables.
 
 # This is debug message for products of Technexion.
-obj-y += tn_post_code.o
+ramstage-y += tn_post_code.o
 
-obj-y += speaker.o
-obj-y += vgabios.o
+ramstage-y += speaker.o
+ramstage-y += vgabios.o
Index: src/mainboard/intel/d945gclf/Makefile.inc
===================================================================
--- src/mainboard/intel/d945gclf/Makefile.inc	(Revision 5880)
+++ src/mainboard/intel/d945gclf/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 
 driver-y += rtl8168.o
 
-smmobj-$(CONFIG_HAVE_SMI_HANDLER) += mainboard_smi.o
+smm-$(CONFIG_HAVE_SMI_HANDLER) += mainboard_smi.o
Index: src/console/Makefile.inc
===================================================================
--- src/console/Makefile.inc	(Revision 5880)
+++ src/console/Makefile.inc	(Arbeitskopie)
@@ -1,13 +1,13 @@
-obj-y += printk.o
-obj-y += console.o
-obj-y += vtxprintf.o
-obj-y += vsprintf.o
+ramstage-y += printk.o
+ramstage-y += console.o
+ramstage-y += vtxprintf.o
+ramstage-y += vsprintf.o
 
-smmobj-y += printk.o
-smmobj-y += vtxprintf.o
+smm-y += printk.o
+smm-y += vtxprintf.o
 
-initobj-y += vtxprintf.o
-initobj-$(CONFIG_CACHE_AS_RAM) += console.o
+romstage-y += vtxprintf.o
+romstage-$(CONFIG_CACHE_AS_RAM) += console.o
 
 driver-$(CONFIG_CONSOLE_SERIAL8250) += uart8250_console.o
 driver-$(CONFIG_USBDEBUG) += usbdebug_console.o
@@ -18,4 +18,4 @@
 driver-$(CONFIG_CONSOLE_NE2K) += ne2k_console.o
 
 $(obj)/console/console.o : $(obj)/build.h
-$(obj)/console/console.initobj.o : $(obj)/build.h
+$(obj)/console/console.romstage.o : $(obj)/build.h
Index: src/boot/Makefile.inc
===================================================================
--- src/boot/Makefile.inc	(Revision 5880)
+++ src/boot/Makefile.inc	(Arbeitskopie)
@@ -1,2 +1,2 @@
-obj-y += hardwaremain.o
-obj-y += selfboot.o
+ramstage-y += hardwaremain.o
+ramstage-y += selfboot.o
Index: src/lib/Makefile.inc
===================================================================
--- src/lib/Makefile.inc	(Revision 5880)
+++ src/lib/Makefile.inc	(Arbeitskopie)
@@ -1,37 +1,37 @@
-obj-y += clog2.o
-obj-y += uart8250.o
-obj-y += memset.o
-obj-y += memcpy.o
-obj-y += memcmp.o
-obj-y += memmove.o
-obj-y += malloc.o
-obj-y += delay.o
-obj-y += fallback_boot.o
-obj-y += compute_ip_checksum.o
-obj-y += version.o
-obj-y += cbfs.o
-obj-y += lzma.o
-#obj-y += lzmadecode.o
-obj-y += gcc.o
-obj-y += cbmem.o
+ramstage-y += clog2.o
+ramstage-y += uart8250.o
+ramstage-y += memset.o
+ramstage-y += memcpy.o
+ramstage-y += memcmp.o
+ramstage-y += memmove.o
+ramstage-y += malloc.o
+ramstage-y += delay.o
+ramstage-y += fallback_boot.o
+ramstage-y += compute_ip_checksum.o
+ramstage-y += version.o
+ramstage-y += cbfs.o
+ramstage-y += lzma.o
+#ramstage-y += lzmadecode.o
+ramstage-y += gcc.o
+ramstage-y += cbmem.o
 
-initobj-y += uart8250.o
-initobj-y += memset.o
-initobj-y += memcpy.o
-initobj-y += memcmp.o
-initobj-y += cbfs.o
-initobj-y += lzma.o
-#initobj-y += lzmadecode.o
-initobj-$(CONFIG_CONSOLE_NE2K) += ne2k.o
-initobj-$(CONFIG_CONSOLE_NE2K) += compute_ip_checksum.o
+romstage-y += uart8250.o
+romstage-y += memset.o
+romstage-y += memcpy.o
+romstage-y += memcmp.o
+romstage-y += cbfs.o
+romstage-y += lzma.o
+#romstage-y += lzmadecode.o
+romstage-$(CONFIG_CONSOLE_NE2K) += ne2k.o
+romstage-$(CONFIG_CONSOLE_NE2K) += compute_ip_checksum.o
 driver-$(CONFIG_CONSOLE_NE2K) += ne2k.o
 
-obj-$(CONFIG_USBDEBUG) += usbdebug.o
+ramstage-$(CONFIG_USBDEBUG) += usbdebug.o
 
-obj-$(CONFIG_COMPRESSED_PAYLOAD_LZMA) += lzma.o
+ramstage-$(CONFIG_COMPRESSED_PAYLOAD_LZMA) += lzma.o
 
-obj-$(CONFIG_BOOTSPLASH) += jpeg.o
+ramstage-$(CONFIG_BOOTSPLASH) += jpeg.o
 
-smmobj-y += memcpy.o
+smm-y += memcpy.o
 
 $(obj)/lib/version.o : $(obj)/build.h
Index: src/northbridge/via/cx700/Makefile.inc
===================================================================
--- src/northbridge/via/cx700/Makefile.inc	(Revision 5880)
+++ src/northbridge/via/cx700/Makefile.inc	(Arbeitskopie)
@@ -17,8 +17,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-obj-y += cx700_reset.o
-obj-y += northbridge.o
+ramstage-y += cx700_reset.o
+ramstage-y += northbridge.o
 
 driver-y += cx700_agp.o
 driver-y += cx700_lpc.o
Index: src/northbridge/amd/gx2/Makefile.inc
===================================================================
--- src/northbridge/amd/gx2/Makefile.inc	(Revision 5880)
+++ src/northbridge/amd/gx2/Makefile.inc	(Arbeitskopie)
@@ -1,3 +1,3 @@
 driver-y += northbridge.o
-obj-y += northbridgeinit.o
-obj-y += grphinit.o
+ramstage-y += northbridgeinit.o
+ramstage-y += grphinit.o
Index: src/northbridge/amd/lx/Makefile.inc
===================================================================
--- src/northbridge/amd/lx/Makefile.inc	(Revision 5880)
+++ src/northbridge/amd/lx/Makefile.inc	(Arbeitskopie)
@@ -1,3 +1,3 @@
 driver-y += northbridge.o
-obj-y += northbridgeinit.o
-obj-y += grphinit.o
+ramstage-y += northbridgeinit.o
+ramstage-y += grphinit.o
Index: src/northbridge/amd/amdk8/Makefile.inc
===================================================================
--- src/northbridge/amd/amdk8/Makefile.inc	(Revision 5880)
+++ src/northbridge/amd/amdk8/Makefile.inc	(Arbeitskopie)
@@ -1,11 +1,11 @@
 driver-y += northbridge.o
 driver-y += misc_control.o
-obj-y += get_sblk_pci1234.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += amdk8_acpi.o
+ramstage-y += get_sblk_pci1234.o
+ramstage-$(CONFIG_GENERATE_ACPI_TABLES) += amdk8_acpi.o
 
 # Enable this if you want to check the values of the PCI routing registers.
 # Call show_all_routes() anywhere amdk8.h is included.
-#obj-y += util.o
+#ramstage-y += util.o
 
 # Not sure what to do with these yet. How did raminit_test even work?
 # Should be a target in -y form.
Index: src/northbridge/amd/amdfam10/Makefile.inc
===================================================================
--- src/northbridge/amd/amdfam10/Makefile.inc	(Revision 5880)
+++ src/northbridge/amd/amdfam10/Makefile.inc	(Arbeitskopie)
@@ -1,16 +1,16 @@
 driver-y += northbridge.o
 driver-y += misc_control.o
 
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += amdfam10_acpi.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += ssdt.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += sspr1.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += sspr2.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += sspr3.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += sspr4.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += sspr5.o
+ramstage-$(CONFIG_GENERATE_ACPI_TABLES) += amdfam10_acpi.o
+ramstage-$(CONFIG_GENERATE_ACPI_TABLES) += ssdt.o
+ramstage-$(CONFIG_GENERATE_ACPI_TABLES) += sspr1.o
+ramstage-$(CONFIG_GENERATE_ACPI_TABLES) += sspr2.o
+ramstage-$(CONFIG_GENERATE_ACPI_TABLES) += sspr3.o
+ramstage-$(CONFIG_GENERATE_ACPI_TABLES) += sspr4.o
+ramstage-$(CONFIG_GENERATE_ACPI_TABLES) += sspr5.o
 
-obj-y += get_pci1234.o
+ramstage-y += get_pci1234.o
 
 # Enable this if you want to check the values of the PCI routing registers.
 # Call show_all_routes() anywhere amdfam10.h is included.
-#obj-y += util.o
+#ramstage-y += util.o
Index: src/northbridge/intel/e7501/Makefile.inc
===================================================================
--- src/northbridge/intel/e7501/Makefile.inc	(Revision 5880)
+++ src/northbridge/intel/e7501/Makefile.inc	(Arbeitskopie)
@@ -1 +1 @@
-obj-y += northbridge.o
+ramstage-y += northbridge.o
Index: src/northbridge/intel/i855/Makefile.inc
===================================================================
--- src/northbridge/intel/i855/Makefile.inc	(Revision 5880)
+++ src/northbridge/intel/i855/Makefile.inc	(Arbeitskopie)
@@ -1 +1 @@
-obj-y += northbridge.o
+ramstage-y += northbridge.o
Index: src/northbridge/intel/i945/Makefile.inc
===================================================================
--- src/northbridge/intel/i945/Makefile.inc	(Revision 5880)
+++ src/northbridge/intel/i945/Makefile.inc	(Arbeitskopie)
@@ -19,4 +19,4 @@
 
 driver-y += northbridge.o
 driver-y += gma.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi.o
+ramstage-$(CONFIG_GENERATE_ACPI_TABLES) += acpi.o
Index: src/northbridge/intel/i82830/Makefile.inc
===================================================================
--- src/northbridge/intel/i82830/Makefile.inc	(Revision 5880)
+++ src/northbridge/intel/i82830/Makefile.inc	(Arbeitskopie)
@@ -1,4 +1,4 @@
 driver-y += northbridge.o
 driver-y += vga.o
 
-smmobj-$(CONFIG_HAVE_SMI_HANDLER) += i82830_smihandler.o
+smm-$(CONFIG_HAVE_SMI_HANDLER) += i82830_smihandler.o
Index: src/pc80/Makefile.inc
===================================================================
--- src/pc80/Makefile.inc	(Revision 5880)
+++ src/pc80/Makefile.inc	(Arbeitskopie)
@@ -1,11 +1,11 @@
-obj-y += mc146818rtc.o
-obj-y += isa-dma.o
-obj-y += i8259.o
-obj-$(CONFIG_UDELAY_IO) += udelay_io.o
-obj-y += keyboard.o
-initobj-$(CONFIG_USE_OPTION_TABLE) += mc146818rtc_early.o
-initobj-$(CONFIG_CACHE_AS_RAM) += serial.o
+ramstage-y += mc146818rtc.o
+ramstage-y += isa-dma.o
+ramstage-y += i8259.o
+ramstage-$(CONFIG_UDELAY_IO) += udelay_io.o
+ramstage-y += keyboard.o
+romstage-$(CONFIG_USE_OPTION_TABLE) += mc146818rtc_early.o
+romstage-$(CONFIG_CACHE_AS_RAM) += serial.o
 subdirs-y += vga
 
 $(obj)/pc80/mc146818rtc.o : $(OPTION_TABLE_H)
-$(obj)/pc80/mc146818rtc_early.initobj.o : $(OPTION_TABLE_H)
+$(obj)/pc80/mc146818rtc_early.romstage.o : $(OPTION_TABLE_H)
Index: src/pc80/vga/Makefile.inc
===================================================================
--- src/pc80/vga/Makefile.inc	(Revision 5880)
+++ src/pc80/vga/Makefile.inc	(Arbeitskopie)
@@ -1,2 +1,2 @@
-obj-y += vga_io.o
-obj-$(CONFIG_VGA) += vga.o
+ramstage-y += vga_io.o
+ramstage-$(CONFIG_VGA) += vga.o
Index: src/arch/i386/Makefile.bootblock.inc
===================================================================
--- src/arch/i386/Makefile.bootblock.inc	(Revision 5880)
+++ src/arch/i386/Makefile.bootblock.inc	(Arbeitskopie)
@@ -81,16 +81,16 @@
 
 #######################################################################
 # Build the romstage
-$(obj)/coreboot.romstage: $(obj)/coreboot.pre1 $$(initobjs) $(obj)/romstage/ldscript.ld
+$(obj)/coreboot.romstage: $(obj)/coreboot.pre1 $$(romstage-objs) $(obj)/romstage/ldscript.ld
 	@printf "    LINK       $(subst $(obj)/,,$(@))\n"
 	printf "CONFIG_ROMBASE = 0x0;\nAUTO_XIP_ROM_BASE = 0x0;\n" > $(obj)/location.ld
-	$(CC) -nostdlib -nostartfiles -static -o $(obj)/romstage.elf -L$(obj) -T $(obj)/romstage/ldscript.ld $(initobjs)
+	$(CC) -nostdlib -nostartfiles -static -o $(obj)/romstage.elf -L$(obj) -T $(obj)/romstage/ldscript.ld $(romstage-objs)
 	$(OBJCOPY) -O binary $(obj)/romstage.elf $(obj)/romstage.bin
 	printf "CONFIG_ROMBASE = 0x" > $(obj)/location.ld
 	$(CBFSTOOL) $(obj)/coreboot.pre1 locate $(obj)/romstage.bin $(CONFIG_CBFS_PREFIX)/romstage $(CONFIG_XIP_ROM_SIZE) > $(obj)/location.txt
 	cat $(obj)/location.txt >> $(obj)/location.ld
 	printf ';\nAUTO_XIP_ROM_BASE = CONFIG_ROMBASE & ~(CONFIG_XIP_ROM_SIZE - 1);\n' >> $(obj)/location.ld
-	$(CC) -nostdlib -nostartfiles -static -o $(obj)/romstage.elf -L$(obj) -T $(obj)/romstage/ldscript.ld $(initobjs)
+	$(CC) -nostdlib -nostartfiles -static -o $(obj)/romstage.elf -L$(obj) -T $(obj)/romstage/ldscript.ld $(romstage-objs)
 	$(NM) -n $(obj)/romstage.elf | sort > $(obj)/romstage.map
 	$(OBJCOPY) --only-keep-debug $(obj)/romstage.elf $(obj)/romstage.debug
 	$(OBJCOPY) --strip-debug $(obj)/romstage.elf
@@ -107,7 +107,7 @@
 	mkdir -p $(obj)/romstage
 	printf '$(foreach crt0,config.h $(crt0s),#include "$(crt0:$(obj)/%=%)"\n)' > $@
 
-$(obj)/mainboard/$(MAINBOARDDIR)/crt0.initobj.o: $(obj)/mainboard/$(MAINBOARDDIR)/crt0.s
+$(obj)/mainboard/$(MAINBOARDDIR)/crt0.romstage.o: $(obj)/mainboard/$(MAINBOARDDIR)/crt0.s
 	@printf "    CC         $(subst $(obj)/,,$(@))\n"
 	$(CC) -I$(obj) -Wa,-acdlns -c -o $@ $<  > $(dir $@)/crt0.disasm
 
Index: src/arch/i386/boot/Makefile.inc
===================================================================
--- src/arch/i386/boot/Makefile.inc	(Revision 5880)
+++ src/arch/i386/boot/Makefile.inc	(Arbeitskopie)
@@ -1,13 +1,13 @@
-obj-y += boot.o
-obj-y += coreboot_table.o
-obj-$(CONFIG_MULTIBOOT) += multiboot.o
-obj-y += gdt.o
-obj-y += tables.o
-obj-$(CONFIG_GENERATE_MP_TABLE) += mpspec.o
-obj-$(CONFIG_GENERATE_PIRQ_TABLE) += pirq_routing.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpigen.o
-obj-$(CONFIG_HAVE_ACPI_RESUME) += wakeup.o
+ramstage-y += boot.o
+ramstage-y += coreboot_table.o
+ramstage-$(CONFIG_MULTIBOOT) += multiboot.o
+ramstage-y += gdt.o
+ramstage-y += tables.o
+ramstage-$(CONFIG_GENERATE_MP_TABLE) += mpspec.o
+ramstage-$(CONFIG_GENERATE_PIRQ_TABLE) += pirq_routing.o
+ramstage-$(CONFIG_GENERATE_ACPI_TABLES) += acpi.o
+ramstage-$(CONFIG_GENERATE_ACPI_TABLES) += acpigen.o
+ramstage-$(CONFIG_HAVE_ACPI_RESUME) += wakeup.o
 
 $(obj)/arch/i386/boot/coreboot_table.o : $(OPTION_TABLE_H)
 
Index: src/arch/i386/Makefile.bigbootblock.inc
===================================================================
--- src/arch/i386/Makefile.bigbootblock.inc	(Revision 5880)
+++ src/arch/i386/Makefile.bigbootblock.inc	(Arbeitskopie)
@@ -20,7 +20,7 @@
 	@printf "    GEN        $(subst $(obj)/,,$(@))\n"
 	printf '$(foreach crt0,config.h $(crt0s),#include "$(crt0:$(obj)/%=%)"\n)' > $@
 
-$(obj)/mainboard/$(MAINBOARDDIR)/crt0.initobj.o: $(obj)/mainboard/$(MAINBOARDDIR)/crt0.s
+$(obj)/mainboard/$(MAINBOARDDIR)/crt0.romstage.o: $(obj)/mainboard/$(MAINBOARDDIR)/crt0.s
 	@printf "    CC         $(subst $(obj)/,,$(@))\n"
 	$(CC) -MMD -I$(obj) -Wa,-acdlns -c -o $@ $<  > $(dir $@)/crt0.disasm
 
@@ -28,9 +28,9 @@
 	@printf "    CC         $(subst $(obj)/,,$(@))\n"
 	$(CC) -MMD -x assembler-with-cpp -DASSEMBLY -E -I$(src)/include -I$(src)/arch/i386/include -I$(obj) -include $(obj)/config.h -I. -I$(src) $< -o $@
 
-$(obj)/coreboot: $$(initobjs) $(obj)/ldscript.ld
+$(obj)/coreboot: $$(romstage-objs) $(obj)/ldscript.ld
 	@printf "    LINK       $(subst $(obj)/,,$(@))\n"
-	$(CC) -nostdlib -nostartfiles -static -o $@ -L$(obj) -T $(obj)/ldscript.ld $(initobjs)
+	$(CC) -nostdlib -nostartfiles -static -o $@ -L$(obj) -T $(obj)/ldscript.ld $(romstage-objs)
 	$(NM) -n $(obj)/coreboot | sort > $(obj)/coreboot.map
 	$(OBJCOPY) --only-keep-debug $@ $(obj)/bootblock.debug
 	$(OBJCOPY) --strip-debug $@
Index: src/arch/i386/Makefile.inc
===================================================================
--- src/arch/i386/Makefile.inc	(Revision 5880)
+++ src/arch/i386/Makefile.inc	(Arbeitskopie)
@@ -25,7 +25,7 @@
 subdirs-y += lib
 subdirs-y += smp
 
-obj-$(CONFIG_HAVE_OPTION_TABLE) += ../../option_table.o
+ramstage-$(CONFIG_HAVE_OPTION_TABLE) += ../../option_table.o
 
 #######################################################################
 # Build the final rom image
@@ -111,11 +111,11 @@
 	$(OBJCOPY) --strip-debug $@
 	$(OBJCOPY) --add-gnu-debuglink=$(obj)/coreboot_ram.debug $@
 
-$(obj)/coreboot_ram.o: $(obj)/arch/i386/lib/c_start.o $$(drivers) $(obj)/coreboot.a $(LIBGCC_FILE_NAME)
+$(obj)/coreboot_ram.o: $(obj)/arch/i386/lib/c_start.o $$(driver-objs) $(obj)/coreboot.a $(LIBGCC_FILE_NAME)
 	@printf "    CC         $(subst $(obj)/,,$(@))\n"
-	$(CC) -nostdlib -r -o $@ $(obj)/arch/i386/lib/c_start.o $(drivers) -Wl,--wrap,__divdi3 -Wl,--wrap,__udivdi3 -Wl,--wrap,__moddi3 -Wl,--wrap,__umoddi3 -Wl,--start-group $(obj)/coreboot.a $(LIBGCC_FILE_NAME) -Wl,--end-group
+	$(CC) -nostdlib -r -o $@ $(obj)/arch/i386/lib/c_start.o $(driver-objs) -Wl,--wrap,__divdi3 -Wl,--wrap,__udivdi3 -Wl,--wrap,__moddi3 -Wl,--wrap,__umoddi3 -Wl,--start-group $(obj)/coreboot.a $(LIBGCC_FILE_NAME) -Wl,--end-group
 
-$(obj)/coreboot.a: $$(objs)
+$(obj)/coreboot.a: $$(ramstage-objs)
 	@printf "    AR         $(subst $(obj)/,,$(@))\n"
 	rm -f $(obj)/coreboot.a
 	$(AR) cr $(obj)/coreboot.a $^
@@ -219,36 +219,36 @@
 endif
 
 # Things that appear in every board
-initobjs += $(obj)/mainboard/$(MAINBOARDDIR)/crt0.o
-objs += $(obj)/mainboard/$(MAINBOARDDIR)/mainboard.o
+romstage-objs += $(obj)/mainboard/$(MAINBOARDDIR)/crt0.o
+ramstage-objs += $(obj)/mainboard/$(MAINBOARDDIR)/mainboard.o
 ifeq ($(CONFIG_GENERATE_MP_TABLE),y)
-objs += $(obj)/mainboard/$(MAINBOARDDIR)/mptable.o
+ramstage-objs += $(obj)/mainboard/$(MAINBOARDDIR)/mptable.o
 endif
 ifeq ($(CONFIG_GENERATE_PIRQ_TABLE),y)
-objs += $(obj)/mainboard/$(MAINBOARDDIR)/irq_tables.o
+ramstage-objs += $(obj)/mainboard/$(MAINBOARDDIR)/irq_tables.o
 endif
 ifeq ($(CONFIG_BOARD_HAS_HARD_RESET),y)
-objs += $(obj)/mainboard/$(MAINBOARDDIR)/reset.o
+ramstage-objs += $(obj)/mainboard/$(MAINBOARDDIR)/reset.o
 endif
 ifeq ($(CONFIG_GENERATE_ACPI_TABLES),y)
-objs += $(obj)/mainboard/$(MAINBOARDDIR)/acpi_tables.o
-objs += $(obj)/mainboard/$(MAINBOARDDIR)/dsdt.o
+ramstage-objs += $(obj)/mainboard/$(MAINBOARDDIR)/acpi_tables.o
+ramstage-objs += $(obj)/mainboard/$(MAINBOARDDIR)/dsdt.o
 # make doesn't have arithmetic operators or greater-than comparisons
 ifeq ($(subst 5,4,$(CONFIG_ACPI_SSDTX_NUM)),4)
-objs += $(obj)/mainboard/$(MAINBOARDDIR)/ssdt2.o
-objs += $(obj)/mainboard/$(MAINBOARDDIR)/ssdt3.o
-objs += $(obj)/mainboard/$(MAINBOARDDIR)/ssdt4.o
+ramstage-objs += $(obj)/mainboard/$(MAINBOARDDIR)/ssdt2.o
+ramstage-objs += $(obj)/mainboard/$(MAINBOARDDIR)/ssdt3.o
+ramstage-objs += $(obj)/mainboard/$(MAINBOARDDIR)/ssdt4.o
 endif
 ifeq ($(CONFIG_ACPI_SSDTX_NUM),5)
-objs += $(obj)/mainboard/$(MAINBOARDDIR)/ssdt5.o
+ramstage-objs += $(obj)/mainboard/$(MAINBOARDDIR)/ssdt5.o
 endif
 ifeq ($(CONFIG_BOARD_HAS_FADT),y)
-objs += $(obj)/mainboard/$(MAINBOARDDIR)/fadt.o
+ramstage-objs += $(obj)/mainboard/$(MAINBOARDDIR)/fadt.o
 endif
 endif
 
 ifeq ($(CONFIG_HAVE_BUS_CONFIG),y)
-objs += $(obj)/mainboard/$(MAINBOARDDIR)/get_bus_conf.o
+ramstage-objs += $(obj)/mainboard/$(MAINBOARDDIR)/get_bus_conf.o
 endif
 
 ifeq ($(CONFIG_TINY_BOOTBLOCK),y)
Index: src/arch/i386/lib/Makefile.inc
===================================================================
--- src/arch/i386/lib/Makefile.inc	(Revision 5880)
+++ src/arch/i386/lib/Makefile.inc	(Arbeitskopie)
@@ -1,13 +1,13 @@
-obj-y += c_start.o
-obj-y += cpu.o
-obj-y += pci_ops_conf1.o
-obj-y += pci_ops_conf2.o
-obj-y += pci_ops_mmconf.o
-obj-y += pci_ops_auto.o
-obj-y += exception.o
-obj-$(CONFIG_IOAPIC) += ioapic.o
+ramstage-y += c_start.o
+ramstage-y += cpu.o
+ramstage-y += pci_ops_conf1.o
+ramstage-y += pci_ops_conf2.o
+ramstage-y += pci_ops_mmconf.o
+ramstage-y += pci_ops_auto.o
+ramstage-y += exception.o
+ramstage-$(CONFIG_IOAPIC) += ioapic.o
 
-initobj-y += printk_init.o
-initobj-y += cbfs_and_run.o
+romstage-y += printk_init.o
+romstage-y += cbfs_and_run.o
 
 $(obj)/arch/i386/lib/console.o :: $(obj)/build.h
Index: src/drivers/generic/debug/Makefile.inc
===================================================================
--- src/drivers/generic/debug/Makefile.inc	(Revision 5880)
+++ src/drivers/generic/debug/Makefile.inc	(Arbeitskopie)
@@ -1 +1 @@
-obj-$(CONFIG_DRIVERS_GENERIC_DEBUG) += debug_dev.o
+ramstage-$(CONFIG_DRIVERS_GENERIC_DEBUG) += debug_dev.o
Index: Makefile
===================================================================
--- Makefile	(Revision 5880)
+++ Makefile	(Arbeitskopie)
@@ -177,11 +177,11 @@
 	@printf "    CC         $(subst $(obj)/,,$(@))\n"
 	$(CC) -MMD $(CFLAGS) -c -o $@ $<
 
-objs:=$(obj)/mainboard/$(MAINBOARDDIR)/static.o
-initobjs:=
-drivers:=
-smmobjs:=
-types:=obj initobj driver smmobj
+ramstage-objs:=$(obj)/mainboard/$(MAINBOARDDIR)/static.o
+romstage-objs:=
+driver-objs:=
+smm-objs:=
+types:=ramstage romstage driver smm
 
 # Clean -y variables, include Makefile.inc
 # If $(3) is non-empty, add paths to files in X-y, and add them to Xs
@@ -191,7 +191,7 @@
 	$(eval subdirs-y:=) \
 	$(eval -include $(1)) \
 	$(foreach type,$(2), \
-		$(eval $(type)s+= \
+		$(eval $(type)-objs+= \
 			$$(subst $(top)/,, \
 			$$(abspath $$(patsubst src/%, \
 					$(obj)/%, \
@@ -211,16 +211,16 @@
 subdirs:=$(PLATFORM-y) $(BUILD-y)
 $(eval $(call evaluate_subdirs))
 
-initobjs:=$(addsuffix .initobj.o, $(basename $(initobjs)))
-drivers:=$(addsuffix .driver.o, $(basename $(drivers)))
-smmobjs:=$(addsuffix .smmobj.o, $(basename $(smmobjs)))
+romstage-objs:=$(addsuffix .romstage.o, $(basename $(romstage-objs)))
+driver-objs:=$(addsuffix .driver.o, $(basename $(driver-objs)))
+smm-objs:=$(addsuffix .smm.o, $(basename $(smm-objs)))
 
-allobjs:=$(foreach var, $(addsuffix s,$(types)), $($(var)))
+allobjs:=$(foreach var, $(addsuffix -objs,$(types)), $($(var)))
 alldirs:=$(sort $(abspath $(dir $(allobjs))))
 source_with_ext=$(patsubst $(obj)/%.o,src/%.$(1),$(allobjs))
 allsrc=$(wildcard $(call source_with_ext,c) $(call source_with_ext,S))
 
-define objs_asl_template
+define ramstage-objs_asl_template
 $(obj)/$(1)%.o: src/$(1)%.asl
 	@printf "    IASL       $$(subst $(top)/,,$$(@))\n"
 	$(CPP) -D__ACPI__ -P -include $(abspath $(obj)/config.h) -I$(src) -I$(src)/mainboard/$(MAINBOARDDIR) $$< -o $$(basename $$@).asl
@@ -244,35 +244,35 @@
 en$(EMPTY)def
 endef
 
-$(eval $(call create_cc_template,objs,c))
-$(eval $(call create_cc_template,objs,S,,-DASSEMBLY))
-$(eval $(call create_cc_template,initobjs,c,.initobj,-D__PRE_RAM__))
-$(eval $(call create_cc_template,initobjs,S,.initobj,-DASSEMBLY -D__PRE_RAM__))
-$(eval $(call create_cc_template,drivers,c,.driver))
-$(eval $(call create_cc_template,drivers,S,.driver,-DASSEMBLY))
-$(eval $(call create_cc_template,smmobjs,c,.smmobj))
-$(eval $(call create_cc_template,smmobjs,S,.smmobj))
+$(eval $(call create_cc_template,ramstage-objs,c))
+$(eval $(call create_cc_template,ramstage-objs,S,,-DASSEMBLY))
+$(eval $(call create_cc_template,romstage-objs,c,.romstage,-D__PRE_RAM__))
+$(eval $(call create_cc_template,romstage-objs,S,.romstage,-DASSEMBLY -D__PRE_RAM__))
+$(eval $(call create_cc_template,driver-objs,c,.driver))
+$(eval $(call create_cc_template,driver-objs,S,.driver,-DASSEMBLY))
+$(eval $(call create_cc_template,smm-objs,c,.smm))
+$(eval $(call create_cc_template,smm-objs,S,.smm))
 
 usetemplate=$(foreach d,$(sort $(dir $($(1)))),$(eval $(call $(1)_$(2)_template,$(subst $(obj)/,,$(d)))))
 usetemplate=$(foreach d,$(sort $(dir $($(1)))),$(eval $(call $(1)_$(2)_template,$(subst $(obj)/,,$(d)))))
-$(eval $(call usetemplate,objs,asl))
-$(eval $(call usetemplate,objs,c))
-$(eval $(call usetemplate,objs,S))
-$(eval $(call usetemplate,initobjs,c))
-$(eval $(call usetemplate,initobjs,S))
-$(eval $(call usetemplate,drivers,c))
-$(eval $(call usetemplate,drivers,S))
-$(eval $(call usetemplate,smmobjs,c))
-$(eval $(call usetemplate,smmobjs,S))
+$(eval $(call usetemplate,ramstage-objs,asl))
+$(eval $(call usetemplate,ramstage-objs,c))
+$(eval $(call usetemplate,ramstage-objs,S))
+$(eval $(call usetemplate,romstage-objs,c))
+$(eval $(call usetemplate,romstage-objs,S))
+$(eval $(call usetemplate,driver-objs,c))
+$(eval $(call usetemplate,driver-objs,S))
+$(eval $(call usetemplate,smm-objs,c))
+$(eval $(call usetemplate,smm-objs,S))
 
-DEPENDENCIES = $(objs:.o=.d) $(initobjs:.o=.d) $(drivers:.o=.d) $(smmobjs:.o=.d)
+DEPENDENCIES = $(ramstage-objs:.o=.d) $(romstage-objs:.o=.d) $(driver-objs:.o=.d) $(smm-objs:.o=.d)
 -include $(DEPENDENCIES)
 
 printall:
-	@echo objs:=$(objs)
-	@echo initobjs:=$(initobjs)
-	@echo drivers:=$(drivers)
-	@echo smmobjs:=$(smmobjs)
+	@echo ramstage-objs:=$(ramstage-objs)
+	@echo romstage-objs:=$(romstage-objs)
+	@echo driver-objs:=$(driver-objs)
+	@echo smm-objs:=$(smm-objs)
 	@echo alldirs:=$(alldirs)
 	@echo allsrc=$(allsrc)
 	@echo DEPENDENCIES=$(DEPENDENCIES)
@@ -343,7 +343,7 @@
 	rm -rf $(DOXYGEN_OUTPUT_DIR)
 
 clean-for-update: doxygen-clean
-	rm -f $(objs) $(initobjs) $(drivers) $(smmobjs) .xcompile
+	rm -f $(ramstage-objs) $(romstage-objs) $(driver-objs) $(smm-objs) .xcompile
 	rm -f $(DEPENDENCIES)
 	rm -f $(obj)/coreboot_ram* $(obj)/coreboot.romstage $(obj)/coreboot.pre* $(obj)/coreboot.bootblock $(obj)/coreboot.a
 	rm -rf $(obj)/bootblock* $(obj)/romstage* $(obj)/location.*
